---
title: "Get ‘Bing Keyword Performance’ Results by id"
url: "https://docs.dataforseo.com/v3/keywords_data/bing/keyword_performance/task_get/"
date: "2026-06-06"
---

## Get ‘Bing Keyword Performance’ Results by id

  
You can receive a set of keyword performance stats for a group of keywords depending on the specified match type, location and language parameters. Ad position, clicks, impressions, and other keyword metrics are aggregated for the last month for one or all of the following device types: mobile, desktop, tablet.

You will get information separately for each keyword specified in a POST array.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/keywords\_data/bing/keyword\_performance/task\_get/$id     

      

Pricing

  Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/keywords-data/bing-ads "Pricing") page.

 

 **Description of the fields for sending a request:**

| Field name | Type | Description |
|---|---|---|
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format**   you will be able to use it within **30 days** to request the results of the task at any time |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total *tasks* cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of response codes [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword in a POST array* |
| `location_code` | integer | *location code in a POST array*   if there is no data, then the value is `null` |
| `language_code` | string | *language code in a POST array*   if there is no data, then the value is `null` |
| `year` | integer | *indicates the year for which the data is provided for*   example:   `2020` |
| `month` | integer | *indicates the month for which the data is provided for*   example:   `10` |
| `keyword_kpi` | object | *object containing keyword metrics*   if there is no data, then the value is `null` |
| **`desktop`** | array | *keyword data aggregated for desktop devices*   if there is no data, then the value is `null` |
| `ad_position` | string | *represents the position of the relevant ad in SERP*   can take the following values:   `FirstPage1`: The first ad to appear on the right side of the first search results page   `FirstPage2`: The second ad to appear on the right side of the first search results page   `FirstPage3`: The third ad to appear on the right side of the first search results page   `FirstPage4`: The fourth ad to appear on the right side of the first search results page   `FirstPage5`: The fifth ad to appear on the right side of the first search results page   `FirstPage6`: The sixth ad to appear on the right side of the first search results page   `FirstPage7`: The seventh ad to appear on the right side of the first search results page   `FirstPage8`: The eighth ad to appear on the right side of the first search results page   `FirstPage9`: The ninth ad to appear on the right side of the first search results page   `FirstPage10`: The tenth ad to appear on the right side of the first search results page   `MainLine1`: The first ad to appear at the top of the search results page   `MainLine2`: The second ad to appear at the top of the search results page   `MainLine3`: The third ad to appear at the top of the search results page   `MainLine4`: The fourth ad to appear at the top of the search results page |
| `clicks` | integer | *ad clicks*   the number of clicks that the keyword and match type generated during the last month |
| `impressions` | integer | *ad impressions*   the number of impressions that the keyword and match type generated during the last month |
| `average_cpc` | integer | *average cost per click, USD*   calculated by dividing the cost of all clicks by the number of clicks |
| `ctr` | integer | *click-through rate as a percentage*   calculated by dividing the number of clicks by the number of impressions and multiplying the result by 100 |
| `total_cost` | integer | *total cost of an ad, USD*   the cost of using the specified keyword and match type during the last month |
| `average_bid` | integer | *average bid of the keyword* |
| **`mobile`** | array | *keyword data aggregated for mobile devices*   if there is no data, then the value is `null` |
| `ad_position` | string | *represents the position of the relevant ad in SERP*   can take the following values:   `FirstPage1`: The first ad to appear on the right side of the first search results page   `FirstPage2`: The second ad to appear on the right side of the first search results page   `FirstPage3`: The third ad to appear on the right side of the first search results page   `FirstPage4`: The fourth ad to appear on the right side of the first search results page   `FirstPage5`: The fifth ad to appear on the right side of the first search results page   `FirstPage6`: The sixth ad to appear on the right side of the first search results page   `FirstPage7`: The seventh ad to appear on the right side of the first search results page   `FirstPage8`: The eighth ad to appear on the right side of the first search results page   `FirstPage9`: The ninth ad to appear on the right side of the first search results page   `FirstPage10`: The tenth ad to appear on the right side of the first search results page   `MainLine1`: The first ad to appear at the top of the search results page   `MainLine2`: The second ad to appear at the top of the search results page   `MainLine3`: The third ad to appear at the top of the search results page   `MainLine4`: The fourth ad to appear at the top of the search results page |
| `clicks` | integer | *ad clicks*   the number of clicks that the keyword and match type generated during the last month |
| `impressions` | integer | *ad impressions*   the number of impressions that the keyword and match type generated during the last month |
| `average_cpc` | integer | *average cost per click, USD*   calculated by dividing the cost of all clicks by the number of clicks |
| `ctr` | integer | *click-through rate as a percentage*   calculated by dividing the number of clicks by the number of impressions and multiplying the result by 100 |
| `total_cost` | integer | *total cost of an ad, USD*   the cost of using the specified keyword and match type during the last month |
| `average_bid` | integer | *average bid of the keyword* |
| **`tablet`** | array | *keyword data aggregated for tablet devices*   if there is no data, then the value is `null` |
| `ad_position` | string | *represents the position of the relevant ad in SERP*   can take the following values:   `FirstPage1`: The first ad to appear on the right side of the first search results page   `FirstPage2`: The second ad to appear on the right side of the first search results page   `FirstPage3`: The third ad to appear on the right side of the first search results page   `FirstPage4`: The fourth ad to appear on the right side of the first search results page   `FirstPage5`: The fifth ad to appear on the right side of the first search results page   `FirstPage6`: The sixth ad to appear on the right side of the first search results page   `FirstPage7`: The seventh ad to appear on the right side of the first search results page   `FirstPage8`: The eighth ad to appear on the right side of the first search results page   `FirstPage9`: The ninth ad to appear on the right side of the first search results page   `FirstPage10`: The tenth ad to appear on the right side of the first search results page   `MainLine1`: The first ad to appear at the top of the search results page   `MainLine2`: The second ad to appear at the top of the search results page   `MainLine3`: The third ad to appear at the top of the search results page   `MainLine4`: The fourth ad to appear at the top of the search results page |
| `clicks` | integer | *ad clicks*   the number of clicks that the keyword and match type generated during the last month |
| `impressions` | integer | *ad impressions*   the number of impressions that the keyword and match type generated during the last month |
| `average_cpc` | integer | *average cost per click, USD*   calculated by dividing the cost of all clicks by the number of clicks |
| `ctr` | integer | *click-through rate as a percentage*   calculated by dividing the number of clicks by the number of impressions and multiplying the result by 100 |
| `total_cost` | integer | *total cost of an ad, USD*   the cost of using the specified keyword and match type during the last month |
| `average_bid` | integer | *average bid of the keyword* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="10261501-0696-0254-0000-6f03c275b8de" 
curl --location --request GET "https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/task_get/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
  // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
  $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
  echo "n";
  print "HTTP code: {$e->getHttpCode()}n";
  print "Error code: {$e->getCode()}n";
  print "Message: {$e->getMessage()}n";
  print  $e->getTraceAsString();
  echo "n";
  exit();
}
try {
  $result = array();
  // #1 - using this method you can get a list of completed tasks
  // in addition to 'keyword_performance' you can also set other parameters
  // the full list of possible parameters is available in documentation
  // GET /v3/keywords_data/bing/keyword_performance/tasks_ready
  $tasks_ready = $client->get('/v3/keywords_data/bing/keyword_performance/tasks_ready');
  // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
  if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
    foreach ($tasks_ready['tasks'] as $task) {
      if (isset($task['result'])) {
        foreach ($task['result'] as $task_ready) {
          // #2 - using this method you can get results of each completed task
          // GET /v3/keywords_data/bing/keyword_performance/task_get/$id
          if (isset($task_ready['endpoint'])) {
            $result[] = $client->get($task_ready['endpoint']);
          }
          // #3 - another way to get the task results by id
          // GET /v3/keywords_data/bing/keyword_performance/task_get/$id
          /*
          if (isset($task_ready['id'])) {
            $result[] = $client->get('/v3/keywords_data/bing/keyword_performance/task_get/' . $task_ready['id']);
          }
          */
        }
      }
    }
  }
  print_r($result);
  // do something with result
} catch (RestClientException $e) {
  echo "n";
  print "HTTP code: {$e->getHttpCode()}n";
  print "Error code: {$e->getCode()}n";
  print "Message: {$e->getMessage()}n";
  print  $e->getTraceAsString();
  echo "n";
}
$client = null;
?>
```





```js
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/task_get/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# in addition to 'search_volume' you can also set other parameters
# the full list of possible parameters is available in documentation
# GET /v3/keywords_data/bing/keyword_performance/tasks_ready
response = client.get("/v3/keywords_data/bing/keyword_performance/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
                # GET /v3/keywords_data/bing/keyword_performance/task_get/$id
                if(resultTaskInfo['endpoint']):
                    results.append(client.get(resultTaskInfo['endpoint']))
                '''
                # 3 - another way to get the task results by id
                # GET /v3/keywords_data/bing/keyword_performance/task_get/$id              
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/keywords_data/bing/keyword_performance/task_get/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task keywords_data_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // in addition to 'keyword_performance' you can also set other parameters
            // the full list of possible parameters is available in documentation
            // GET /v3/keywords_data/bing/keyword_performance/tasks_ready
            var response = await httpClient.GetAsync("/v3/keywords_data/bing/keyword_performance/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/keywords_data/bing/keyword_performance/task_get/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/keywords_data/bing/keyword_performance/task_get/$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/keywords_data/bing/keyword_performance/task_get/" + (string)task.id);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20201021",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0653 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "10211527-1535-0254-0000-7ed3191761a1",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0027 sec.",
      "cost": 0,
      "result_count": 3,
      "path": [
        "v3",
        "keywords_data",
        "bing",
        "keyword_performance",
        "task_get",
        "10211527-1535-0254-0000-7ed3191761a1"
      ],
      "data": {
        "api": "keywords_data",
        "function": "keyword_performance",
        "se": "bing",
        "location_code": 2840,
        "language_code": "en",
        "match": "broad",
        "keywords": [
          "dataforseo",
          "seo",
          "ranking"
        ]
      },
      "result": [
        {
          "keyword": "dataforseo",
          "year": 2020,
          "month": 9,
          "location_code": 2840,
          "language_code": "en",
          "keyword_kpi": {
            "desktop": [
              {
                "ad_position": "MainLine1",
                "clicks": 2,
                "impressions": 27,
                "average_cpc": 4.825,
                "ctr": 7.407407283782959,
                "total_cost": 9.65,
                "average_bid": 5.38037037037037
              },
              {
                "ad_position": "MainLine2",
                "clicks": 0,
                "impressions": 16,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 3.5825
              }
            ],
            "mobile": null,
            "tablet": null
          }
        },
        {
          "keyword": "seo",
          "location_code": 2840,
          "language_code": "en",
          "year": 2020,
          "month": 9,
          "keyword_kpi": {
            "desktop": [
              {
                "ad_position": "MainLine1",
                "clicks": 847,
                "impressions": 50016,
                "average_cpc": 4.745868,
                "ctr": 1.693458080291748,
                "total_cost": 4019.75,
                "average_bid": 5.67275711772233
              },
              {
                "ad_position": "MainLine2",
                "clicks": 349,
                "impressions": 28763,
                "average_cpc": 3.03341,
                "ctr": 1.2133643627166748,
                "total_cost": 1058.66,
                "average_bid": 3.84867086187116
              },
              {
                "ad_position": "MainLine3",
                "clicks": 140,
                "impressions": 16296,
                "average_cpc": 2.295786,
                "ctr": 0.8591065406799316,
                "total_cost": 321.41,
                "average_bid": 2.75259941089838
              },
              {
                "ad_position": "MainLine4",
                "clicks": 94,
                "impressions": 10895,
                "average_cpc": 1.82117,
                "ctr": 0.8627811074256897,
                "total_cost": 171.19,
                "average_bid": 2.18497384121156
              },
              {
                "ad_position": "FirstPage1",
                "clicks": 8,
                "impressions": 5358,
                "average_cpc": 0.06,
                "ctr": 0.149309441447258,
                "total_cost": 0.48,
                "average_bid": 0.772810750279955
              },
              {
                "ad_position": "FirstPage2",
                "clicks": 3,
                "impressions": 3103,
                "average_cpc": 0.01666667,
                "ctr": 0.09668063372373581,
                "total_cost": 0.05,
                "average_bid": 0.219378021269739
              },
              {
                "ad_position": "FirstPage3",
                "clicks": 2,
                "impressions": 2158,
                "average_cpc": 0.07,
                "ctr": 0.09267840534448624,
                "total_cost": 0.14,
                "average_bid": 0.113484708063021
              },
              {
                "ad_position": "FirstPage4",
                "clicks": 0,
                "impressions": 1064,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.0866259398496241
              },
              {
                "ad_position": "FirstPage5",
                "clicks": 0,
                "impressions": 741,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.0912415654520918
              },
              {
                "ad_position": "FirstPage6",
                "clicks": 1,
                "impressions": 553,
                "average_cpc": 0.02,
                "ctr": 0.18083181977272034,
                "total_cost": 0.02,
                "average_bid": 0.08625678119349
              },
              {
                "ad_position": "FirstPage7",
                "clicks": 0,
                "impressions": 292,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.0822602739726028
              },
              {
                "ad_position": "FirstPage8",
                "clicks": 0,
                "impressions": 248,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.0673387096774194
              },
              {
                "ad_position": "FirstPage9",
                "clicks": 0,
                "impressions": 32,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.05
              },
              {
                "ad_position": "FirstPage10",
                "clicks": 0,
                "impressions": 14,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.05
              }
            ],
            "mobile": [
              {
                "ad_position": "MainLine1",
                "clicks": 537,
                "impressions": 13215,
                "average_cpc": 0.7699441,
                "ctr": 4.063564300537109,
                "total_cost": 413.46,
                "average_bid": 5.17993719258418
              },
              {
                "ad_position": "MainLine2",
                "clicks": 425,
                "impressions": 12396,
                "average_cpc": 0.8124941,
                "ctr": 3.428525447845459,
                "total_cost": 345.31,
                "average_bid": 5.26122136172959
              },
              {
                "ad_position": "MainLine3",
                "clicks": 123,
                "impressions": 4669,
                "average_cpc": 0.4292683,
                "ctr": 2.634397029876709,
                "total_cost": 52.8,
                "average_bid": 2.85917112872135
              },
              {
                "ad_position": "MainLine4",
                "clicks": 33,
                "impressions": 1913,
                "average_cpc": 0.1439394,
                "ctr": 1.7250392436981201,
                "total_cost": 4.75,
                "average_bid": 0.830397281756404
              },
              {
                "ad_position": "FirstPage1",
                "clicks": 33,
                "impressions": 1236,
                "average_cpc": 0.02727273,
                "ctr": 2.669902801513672,
                "total_cost": 0.9,
                "average_bid": 0.0551779935275081
              },
              {
                "ad_position": "FirstPage2",
                "clicks": 0,
                "impressions": 32,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.3271875
              },
              {
                "ad_position": "FirstPage3",
                "clicks": 0,
                "impressions": 9,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.297777777777778
              },
              {
                "ad_position": "FirstPage4",
                "clicks": 0,
                "impressions": 7,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.108571428571429
              },
              {
                "ad_position": "FirstPage5",
                "clicks": 0,
                "impressions": 1,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.05
              }
            ],
            "tablet": [
              {
                "ad_position": "MainLine3",
                "clicks": 12,
                "impressions": 250,
                "average_cpc": 0.3775,
                "ctr": 4.800000190734863,
                "total_cost": 4.53,
                "average_bid": 1.47264
              },
              {
                "ad_position": "MainLine1",
                "clicks": 11,
                "impressions": 876,
                "average_cpc": 1.633636,
                "ctr": 1.2557077407836914,
                "total_cost": 17.97,
                "average_bid": 5.92456621004566
              },
              {
                "ad_position": "MainLine2",
                "clicks": 15,
                "impressions": 435,
                "average_cpc": 0.62,
                "ctr": 3.4482758045196533,
                "total_cost": 9.3,
                "average_bid": 2.27634482758621
              },
              {
                "ad_position": "MainLine4",
                "clicks": 10,
                "impressions": 179,
                "average_cpc": 0.228,
                "ctr": 5.586592197418213,
                "total_cost": 2.28,
                "average_bid": 0.828882681564246
              },
              {
                "ad_position": "FirstPage1",
                "clicks": 0,
                "impressions": 92,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.509565217391304
              },
              {
                "ad_position": "FirstPage3",
                "clicks": 0,
                "impressions": 20,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.139
              },
              {
                "ad_position": "FirstPage5",
                "clicks": 0,
                "impressions": 15,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.109333333333333
              },
              {
                "ad_position": "FirstPage7",
                "clicks": 0,
                "impressions": 3,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.0566666666666667
              },
              {
                "ad_position": "FirstPage2",
                "clicks": 0,
                "impressions": 18,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.452222222222222
              },
              {
                "ad_position": "FirstPage4",
                "clicks": 0,
                "impressions": 16,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.08625
              },
              {
                "ad_position": "FirstPage6",
                "clicks": 0,
                "impressions": 7,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.0514285714285714
              },
              {
                "ad_position": "FirstPage8",
                "clicks": 0,
                "impressions": 3,
                "average_cpc": 1,
                "ctr": 0,
                "total_cost": 0,
                "average_bid": 0.0733333333333334
              }
            ]
          }
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp